import request from '@/utils/request'

/**
 * 获取帮助列表
 * @param {*} fileType  文件类型：1视频，2文档
 * @param {*} fileTitle 文件标题
 * @param {*} fileModule 文件模块：1品牌授权-授权列表，2机构管理-机构列表
 * @param {*} pageNum 第几页
 * @param {*} pageSize 一页多少条
 */
export function fetchCourseList(params) {
  return request({
    url: '/data/file/course/list',
    method: 'get',
    params
  })
}

/**
 * 保存记录
 * @param {*} fileId  文件id;
 * @param {*} fileTitle 文件标题;
 * @param {*} fileName 文件名称;
 * @param {*} ossName oss名称;
 * @param {*} fileType 文件类型：1视频，2文档;
 * @param {*} fileModule 文件模块：1品牌授权-授权列表，2机构管理-机构列表
 */
export function saveCourse(data) {
  return request({
    url: '/data/file/course/save',
    method: 'post',
    data
  })
}

// 删除记录
export function removeCourse(data) {
  return request({
    url: '/data/file/course/delete',
    method: 'post',
    data
  })
}
